Bug 8241 - Remove stray references to YUI autocomplete
Summary: Remove stray references to YUI autocomplete
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 7747
  Show dependency treegraph
 
Reported: 2012-06-12 13:44 UTC by Owen Leonard
Modified: 2013-12-05 20:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8241 - Remove stray references to YUI autocomplete (5.83 KB, patch)
2012-06-12 15:34 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8241 - Remove stray references to YUI autocomplete (5.97 KB, patch)
2012-06-17 05:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8241: Remove text fragment from Z39.50-Server search (844 bytes, patch)
2012-06-17 05:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-06-12 13:44:57 UTC
There are a couple of templates which still reference YUI autocomplete: help-top.inc and authorities/auth_finder.tt.
Comment 1 Owen Leonard 2012-06-12 15:34:59 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-06-17 05:40:14 UTC
Created attachment 10323 [details] [review]
[SIGNED-OFF] Bug 8241 - Remove stray references to YUI autocomplete

- Removing unused references to YUI assets in authorities/auth_finder.tt
- Removing unneeded call to autocomplete JS in help-top.inc and
  adding new jQuery dependencies.
- Minor HTML markup corrections to auth-finder-search.inc discovered
  in debugging the patch.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Tested:
- help files on various pages
- auth finder plugin in cataloguing
- authority search in authorities module
Comment 3 Katrin Fischer 2012-06-17 05:43:49 UTC
Created attachment 10324 [details] [review]
Bug 8241: Remove text fragment from Z39.50-Server search

Removes an accidently added "curr" from below the search options
for administration > Z39.50 client targets.
Comment 4 Ian Walls 2012-06-21 18:28:27 UTC
Template only changes updating markup to be more specific with IDs, clean up unnecessary text and otherwise do HTML goodness.  Marking Passed QA.
Comment 5 Paul Poulain 2012-06-25 14:23:20 UTC
Proably worth for 3.10 only, but would not object backporting to 3.8
Comment 6 Jared Camins-Esakov 2012-12-31 01:15:31 UTC
There have been no further reports of problems so I am marking this bug resolved.